Opened 12 years ago

Closed 10 years ago

#19387 closed defect (fixed)

py26-virtualenvwrapper 1.12 uses py25-virtualenv instead of py26-virtualenv

Reported by: brainsik+macports@… Owned by: arthurk@…
Priority: Normal Milestone:
Component: ports Version: 1.7.1
Keywords: Cc:
Port: py26-virtualenvwrapper

Description

The py25-virtualenv port installs the virtualenv command as "virtualenv". The py26-virtualenv port installs the virtualenv command as "virtualenv2.6".

The py26-virtualenvwrapper port uses a virtualenvwrapper script that calls "virtualenv" instead of "virtualenv2.6" to create new virtualenvs. That causes those virtualenvs to incorrectly use Python 2.5 instead of 2.6.

Change History (6)

comment:1 Changed 12 years ago by jmroot (Joshua Root)

Owner: changed from macports-tickets@… to arthur@…

comment:2 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

comment:3 Changed 11 years ago by brainsik+macports@…

This bug is still present the latest release (1.18.1) — changeset:54478.

comment:4 Changed 11 years ago by brainsik+macports@…

Also, when py25-virtualenv is not installed, this package fails completely (which is actually better than creating a virtualenv with the wrong Python version):

$ mkvirtualenv test
-bash: virtualenv: command not found

comment:5 Changed 11 years ago by jmroot (Joshua Root)

Keywords: virtualenvwrapper virtualenv virtualenv2.6 removed
Owner: changed from arthur@… to arthurk@…

comment:6 Changed 10 years ago by jmroot (Joshua Root)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.